function display(p)
%IncWave/display  Command window display of a IncWave
switch p.Type
case 0
disp('Type: Pierson Moskowitz Spectrum ');
disp([' A = ' num2str(p.A)]);
disp([' T = ' num2str(p.T)]);
disp([' g = ' num2str(p.g)]);
disp([' beta = ' num2str(p.beta)]);
case 1
disp('Type: Ramp to Monochromatic');
disp([' A = ' num2str(p.A)]);
disp([' T = ' num2str(p.T)]);
disp([' g = ' num2str(p.g)]);
disp([' beta = ' num2str(p.beta)]);

otherwise
disp(['Type = ' p.Type ' not defined']);    
end